sboclean(1)

NAME

sboclean - clean files left by sbotools

SYNOPSIS

sboclean [-h|-v]

sboclean [-dwi] [-o ALL|package]

DESCRIPTION

sboclean is used to clean files left by sbotools, such as saved options (in /var/log/sbotools), downloaded source files (“distfiles”), or working directories under /tmp/SBo (or $TMP) and, for compat32 installs, under /tmp (or $TMP). Note that if run without the --interactive flag, sboclean removes anything in the distfiles and/or /tmp/SBo (or $TMP) directories and any /tmp/package-*-compat32 (or $TMP/package-*-compat32) directories with extreme prejudice. One of --dist, --work or --option must be specified for this script to do anything.

Root privileges are required to run sboclean. If an invalid configuration is detected in /etc/sbotools/sbotools.conf, or if invalid options are specified, the script exits with a diagnostic message.

OPTIONS

-h|--help
    Show help information.

-v|--version
    Show version information.

-d|--dist
    Clean distfiles, located at /usr/sbo/distfiles by default.

-w|--work
    Clean working directories, located by default under /tmp/SBo and, for compat32 installs, /tmp.

-o|--options (ALL|sbo_name)
    With ALL, clean all saved options from /var/log/sbotools. With the name of a SlackBuild, clean the saved options for that SlackBuild only.

-i|--interactive
    Be interactive; sboclean uses confirmation prompts for each item that could be removed.

EXIT CODES

sboclean can exit with the following codes:
    0: all operations completed successfully.
    1: a usage error occurred, such as passing incorrect options to sboclean.

BUGS

None known. If found, Issues and Pull Requests to https://github.com/pghvlaans/sbotools/ are always welcome.

SEE ALSO

sbocheck(1), sboconfig(1), sbofind(1), sbohints(1), sboinstall(1), sboremove(1), sboupgrade(1), sbotools.conf(5), sbotools.hints(5)

AUTHORS

Jacob Pipkin <j@dawnrazor.net>

Luke Williams <xocel@iquidus.org>

Andreas Guldstrand <andreas.guldstrand@gmail.com>

MAINTAINER

K. Eugene Carlson <kvngncrlsn@gmail.com>